> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tag Values for a Business

> **Scopes:** `tag:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/tag-values
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/tag-values:
    get:
      tags:
        - Tag
      summary: List Tag Values for a Business
      description: '**Scopes:** `tag:read`'
      operationId: list_tag_values_v0_business__business_id__tag_values_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: tag_value
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The tag value to filter by
            examples:
              - job-123
            title: Tag Value
          description: The tag value to filter by
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagValuesPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - tag:read
components:
  schemas:
    TagValuesPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TagValuePublic'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: TagValuesPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TagValuePublic:
      properties:
        id:
          type: string
          format: tv_string
          title: Id
          description: The ID of the tag value
          examples:
            - tv_GA6EG2qFxA97NZHtxeLPUy
        tag_field_id:
          type: string
          format: tf_string
          title: Tag Field Id
          description: The ID of the parent tag field
          examples:
            - tf_KtY7p9fsM4pB58SYNar7cu
        name:
          type: string
          title: Name
          description: The tag value name
          examples:
            - job-123
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Optional metadata
      type: object
      required:
        - id
        - tag_field_id
        - name
      title: TagValuePublic
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````